byte_stream_buffer.h File Reference

Managed memory container for serialized data. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include <type_traits>`
`#include <libcamera/span.h>`

Go to the source code of this file.

## Classes

class | libcamera::ByteStreamBuffer
| Wrap a memory buffer and provide sequential data read and write. More...

## Detailed Description

Managed memory container for serialized data.